function val = value(f, a)
% VALUE     Returns the value of the factor for a particular assignment
%
%     val = VALUE(FACTOR, ASSIGNMENT)  Returns the value of the
%     factor when the arguments are fixed according to ASSIGNMENT.

% f is a factor structArray
% asg is an assignment structArray

fidx = cell(1,length(f.vars));

for i = 1:length(f.vars)
  ar = find(a.vars == f.vars(i),1);
  if((size(ar,1) == 0) || (size(ar,2) == 0))
    error('Variables assigned should be a super set of that in factor');
  end
  
  fidx{i} = a.vals(ar);
  
end
val=f.table(fidx{:});

